Skip to main content

Live & Schedule (7 endpoints)

Live Matches

GET /api/live
Curated live matches with teams (pairs), scores, and set info.

Live (All)

GET /api/live/all
Raw live data for all beach volleyball matches.

Today’s Matches

GET /api/today

Schedule by Date

GET /api/schedule/:date
Date format: YYYY-MM-DD. Example: GET /api/schedule/2026-03-13

Live Tournaments

GET /api/live-tournaments
Tournaments with live matches right now.

Scheduled Tournaments

GET /api/scheduled-tournaments/:date
Tournaments with matches on a specific date.

Newly Added Events

GET /api/newly-added-events

Response Example — /api/live

{
  "events": [
    {
      "id": 12345678,
      "homeTeam": { "id": 5001, "name": "Mol/Sørum (NOR)" },
      "awayTeam": { "id": 5002, "name": "Herrera/Gavira (ESP)" },
      "homeScore": {
        "current": 1,
        "display": 1,
        "period1": 21,
        "period2": 18,
        "period3": 0
      },
      "awayScore": {
        "current": 1,
        "display": 1,
        "period1": 19,
        "period2": 21,
        "period3": 0
      },
      "status": { "code": 13, "description": "3rd Set", "type": "inprogress" },
      "tournament": { "name": "FIVB Beach Pro Tour", "id": 420 },
      "startTimestamp": 1737331200
    }
  ]
}

Score Fields

FieldDescription
period1period3Points scored in each set (sets 1–2 to 21, set 3 to 15)
currentSets won (match won at 2 sets, best of 3)

Search & Discovery (7 endpoints)

GET /api/search?q=mol
Search teams (pairs), players, and tournaments.

Countries / Categories

GET /api/countries
Beach volleyball categories (International, Austria, etc.).

Countries (Extended)

GET /api/countries/all

Category Tournaments

GET /api/categories/:categoryId/tournaments
Tournaments in a country/category.
GET /api/trending-players

Beach Volleyball News

GET /api/news?lang=en

Country Flag

GET /api/country/:code/flag
Last modified on April 12, 2026